Bug 185415 - postun script errors
postun script errors
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 10:53 EST by Karsten Hopp
Modified: 2008-05-06 20:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-03-14 10:53:09 EST
Description of problem:
an update from GConf-1.0.9-18.2.1 to GConf-1.0.9-20 resulted in an postun script
error:

Cleanup   : GConf                        ##################### [625/892]
/sbin/ldconfig: relative path `2' used to build cache
error: %postun(GConf-1.0.9-18.2.1.i386) scriptlet failed, exit status 1
Comment 1 Ray Strode [halfline] 2007-03-06 13:48:28 EST
so the %postun for GConf just has:

%postun -p /sbin/ldconfig

rpm must be passing the "Number of currently installed GConf packages" argument
to  /sbin/ldconfig (as if the scriplet said:

%postun
/sbin/ldconfig $1
)

Reassigning to rpm.
Comment 2 Jeff Johnson 2007-03-08 08:03:33 EST
Yes. There has been a patch in ldconfig ikn the past to eliminate
the warning message. Re-adding the patch to glibc is going to
be far far easier than changing and redistributing rpm.

Eliminating $1/$2 args from rpm is underway, but the change is going to
take years to run to completion.
Comment 3 Red Hat Bugzilla 2007-08-21 01:22:25 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Panu Matilainen 2007-08-22 02:29:50 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 5 Bug Zapper 2008-04-03 13:07:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:26:48 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.